package com.bbyb.operating.examination.controller;

import com.bbyb.operating.examination.model.po.Role;
import com.bbyb.operating.examination.model.po.RoleUser;
import com.bbyb.operating.examination.model.po.UserReq;
import com.bbyb.operating.examination.service.RoleUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/role_user")
public class RoleUserController {
    @Autowired
    private RoleUserService roleUserService;

    @PostMapping("deleteByPrimaryKey")
    public Integer deleteByPrimaryKey(Integer id) {
        return roleUserService.deleteByPrimaryKey(id);
    }
    @PostMapping("insert")
    public Integer insert(RoleUser row) {
        return roleUserService.insert(row);
    }
    @PostMapping("selectByPrimaryKey")
    public RoleUser selectByPrimaryKey(Integer id) {
        return roleUserService.selectByPrimaryKey(id);
    }
    @PostMapping("selectAll")
    public java.util.List<RoleUser> selectAll() {
        return roleUserService.selectAll();
    }
    @PostMapping("updateByPrimaryKey")
    public Integer updateByPrimaryKey(RoleUser row) {
        return roleUserService.updateByPrimaryKey(row);
    }

    @PostMapping("/findRoleUser")
    public RoleUser findRoleUser(UserReq userReq) {
        return roleUserService.findRoleUser(userReq);
    }

}
